package Wx

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/Wx"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx/updateBlockAndAllowList Wx UpdateBlockAndAllowList
//
// Update wx information | 更新黑白名单
//
// Update wx information | 更新黑白名单
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WxInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateBlockAndAllowListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.UpdateBlockAndAllowListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := Wx.NewUpdateBlockAndAllowListLogic(r.Context(), svcCtx)
		resp, err := l.UpdateBlockAndAllowList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
